Remove multiple subscribers
POST /subscribers/{MailingListID}/remove_many.{Format}
Removes multiple subscribers from a specific email list permanently without moving the subscribers to the suppression list. The status of each removed subscriber is Archived. Any invalid email addresses specified in the list are ignored.
Request
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| Accept | header | string | true | Determines the expected format and data type to retrieve the response data.Value: application/json |
| MailingListID | path | string | true | The ID of the email list that contains the subscribers you want to remove. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |
| Emails | body | object | true | A list of subscriber email addresses that you want to remove from the email list. Use a comma (,) to separate the email addresses. |
http
curl
Response
| Status | Description | Headers | Schema |
|---|---|---|---|
| 200 OK | The request is successful. | Content-Type/json | N/A |
json
-
Code- the response code. This is0if successful. -
Error- the response error message. This isnullif successful. -
Context- an object that contains the following information:-
EmailsIgnored- the number of ignored email addresses. -
EmailsProcessed- the number of processed email addresses.
-
If you have suggestions for improving this article, let us know!